<?php

class ArticleMaxForm extends CFormModel
{
    public $name;
    public $titleRu;
    public $titleEn;
    public $titleZh;
    public $contentRu;
    public $contentEn;
    public $contentZh;
    
    public $geoLat;
    public $geoLon;
    
    public $externalLink;
        

	/**
	 * Declares the validation rules.
	 * The rules state that username and password are required,
	 * and password needs to be authenticated.
	 */
	public function rules()
	{
		return array(
                    array('titleEn, titleZh, contentEn, contentZh, externalLink','safe'),
                    array('geoLat, geoLon', 'numerical'),
			array('name, titleRu, contentRu', 'required'),
		);
	}

	/**
	 * Declares attribute labels.
	 */
	public function attributeLabels()
	{
		return array(
			//'rememberMe'=>'Remember me next time',
		);
	}
}
